import type { PageExitEvent, PageExitReason } from '../browser/pageExitObservable';
import { Observable } from '../tools/observable';
import type { Duration } from '../tools/utils/timeUtils';
export type FlushReason = PageExitReason | 'duration_limit' | 'bytes_limit' | 'messages_limit';
export type FlushController = ReturnType<typeof createFlushController>;
export interface FlushEvent {
    reason: FlushReason;
    bytesCount: number;
    messagesCount: number;
}
interface FlushControllerOptions {
    messagesLimit: number;
    bytesLimit: number;
    durationLimit: Duration;
    pageExitObservable: Observable<PageExitEvent>;
}
export declare function createFlushController({ messagesLimit, bytesLimit, durationLimit, pageExitObservable, }: FlushControllerOptions): {
    flushObservable: Observable<FlushEvent>;
    readonly messagesCount: number;
    notifyBeforeAddMessage(messageBytesCount: number): void;
    notifyAfterAddMessage(): void;
    notifyAfterRemoveMessage(messageBytesCount: number): void;
};
export {};
